MessageDispatchInterceptorMBean (Apache Tomcat 11.0.24 API Documentation)
Description: declaration: package: org.apache.catalina.tribes.group.interceptors, interface: MessageDispatchInterceptorMBean

# Interface MessageDispatchInterceptorMBean

All Known Implementing Classes:
  `MessageDispatchInterceptor`

public interface MessageDispatchInterceptorMBean
MBean interface for MessageDispatchInterceptor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getActiveCount()`
  Get the active count.
  `long`
  `getCompletedTaskCount()`
  Get the completed task count.
  `long`
  `getCurrentSize()`
  Get the current queue size.
  `long`
  `getKeepAliveTime()`
  Get the keep alive time.
  `long`
  `getMaxQueueSize()`
  Get the maximum queue size.
  `int`
  `getMaxSpareThreads()`
  Get the maximum spare threads.
  `int`
  `getMaxThreads()`
  Get the maximum threads.
  `int`
  `getOptionFlag()`
  Get the option flag.
  `int`
  `getPoolSize()`
  Get the pool size.
  `long`
  `getTaskCount()`
  Get the task count.
  `boolean`
  `isAlwaysSend()`
  Check if always send is enabled.
  `void`
  `setAlwaysSend(boolean alwaysSend)`
  Set always send.

- ## Method Details

  - ### getOptionFlag

    int getOptionFlag()
    Get the option flag.
    Returns:
      the option flag

  - ### isAlwaysSend

    boolean isAlwaysSend()
    Check if always send is enabled.
    Returns:
      whether always send is enabled

  - ### setAlwaysSend

    void setAlwaysSend(boolean alwaysSend)
    Set always send.
    Parameters:
      `alwaysSend` - whether to always send

  - ### getMaxQueueSize

    long getMaxQueueSize()
    Get the maximum queue size.
    Returns:
      the maximum queue size

  - ### getCurrentSize

    long getCurrentSize()
    Get the current queue size.
    Returns:
      the current queue size

  - ### getKeepAliveTime

    long getKeepAliveTime()
    Get the keep alive time.
    Returns:
      the keep alive time

  - ### getMaxSpareThreads

    int getMaxSpareThreads()
    Get the maximum spare threads.
    Returns:
      the maximum spare threads

  - ### getMaxThreads

    int getMaxThreads()
    Get the maximum threads.
    Returns:
      the maximum threads

  - ### getPoolSize

    int getPoolSize()
    Get the pool size.
    Returns:
      the pool size

  - ### getActiveCount

    int getActiveCount()
    Get the active count.
    Returns:
      the active count

  - ### getTaskCount

    long getTaskCount()
    Get the task count.
    Returns:
      the task count

  - ### getCompletedTaskCount

    long getCompletedTaskCount()
    Get the completed task count.
    Returns:
      the completed task count